%define major 0
%define libname %mklibname gnomesu %major
%define libnamedev %mklibname -d gnomesu

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary: Library for accessing superuser privileges from GNOME
Name: libgnomesu
Version: 1.0.0
Release: %mkrel 7
Source0: http://download.gnome.org//sources/%{name}/%{url_ver}/%{name}-%{version}.tar.gz
Patch0: libgnomesu-0.9.5-pam_stack.patch
Patch1: libgnomesu-1.0.0-format-strings.patch
Patch2: libgnomesu-1.0.0-deprecated.patch
License: LGPLv2+
Group: System/Libraries
Url: http://members.chello.nl/~h.lai/libgnomesu/
BuildRequires: libgnomeui2-devel
BuildRequires: pam-devel
BuildRequires: intltool
BuildRequires: gettext-devel
Provides: gnomesu
Obsoletes: gnomesu

%description
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%package -n %libname
Summary: Library for accessing superuser privileges from GNOME
Group: System/Libraries
Requires: %name >= %version-%release

%description -n %libname
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%package -n %libnamedev
Summary: Library for accessing superuser privileges from GNOME
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %mklibname -d gnomesu 0

%description -n %libnamedev
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%prep
%setup -q
%apply_patches
intltoolize --force
autoreconf -fi

%build
%configure2_5x --disable-setuid-error
%make

%install
rm -rf $RPM_BUILD_ROOT %name-1.0.lang
%makeinstall_std
%find_lang %name-1.0
#fix libtool mess
perl -pi -e "s-L$RPM_BUILD_DIR/%name-%version/src" %buildroot/%_libdir/lib*.la
#gw fix perms for cpio
chmod 755 %buildroot%_libexecdir/*

%files -f %name-1.0.lang
%doc README ChangeLog NEWS TODO AUTHORS
%config(noreplace) %_sysconfdir/pam.d/gnomesu-pam
%_bindir/gnomesu
%_datadir/application-registry/gnomesu-nautilus.applications
%_datadir/mime-info/gnomesu-nautilus.keys
%attr(4111,root,root) %_libexecdir/gnomesu-backend
%attr(4111,root,root) %_libexecdir/gnomesu-pam-backend

%files -n %libname
%_libdir/libgnomesu.so.%{major}*

%files -n %libnamedev
%_includedir/libgnomesu-1.0/
%_libdir/pkgconfig/libgnomesu-1.0.pc
%_libdir/lib*.so
%_libdir/lib*.la




%changelog

* Tue Feb 14 2012 ovitters <ovitters> 1.0.0-7.mga2
+ Revision: 208791
- fix buildrequires
- clean spec

* Tue Apr 12 2011 ennael <ennael> 1.0.0-6.mga1
+ Revision: 83725
- clean spec file
- imported package libgnomesu


* Fri Nov 12 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-6mdv2011.0
+ Revision: 596514
- fix build

* Wed Nov 11 2009 Götz Waschk <waschk@mandriva.org> 1.0.0-5mdv2010.1
+ Revision: 464603
- fix format strings
- update license

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-3mdv2009.0
+ Revision: 248721
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 08 2007 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2008.1
+ Revision: 95685
- new version
- fix URL

* Thu Aug 02 2007 Götz Waschk <waschk@mandriva.org> 0.9.5-5mdv2008.0
+ Revision: 57988
- unpack patch
- new devel name
- Import libgnomesu



* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.5-5mdv2007.0
- Rebuild with latest dbus

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2007.0
- Rebuild

* Mon Jan 30 2006 Olivier Blin <oblin@mandriva.com> 0.9.5-3mdk
- use "include" directive instead of deprecated pam_stack (Patch0)

* Mon Mar 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-2mdk
- provide and obsolete gnomesu

* Wed Jan 12 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- initial package
